Package: groovy.model

## [Java] Class ValueHolder

- groovy.model.ValueHolder

- All Implemented Interfaces and Traits:
    ValueModel

      public class ValueHolder

  A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

  Authors:
    James Strachan

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `editable`
    `Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueHolder ()`
    `ValueHolder (Class type)`
    `ValueHolder (Object value)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
    `` | `Class` | `getType()`
    `` | `Object` | `getValue()`
    `` | `boolean` | `isEditable()`
    `` | `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
    `` | `void` | `setEditable(boolean editable)`
    `` | `void` | `setValue(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### boolean editable

    - #### Object value

  - ### Constructor Detail

    - #### public ValueHolder()

    - #### public ValueHolder(Class type)

    - #### public ValueHolder(Object value)

  - ### Method Detail

    - #### public void addPropertyChangeListener(PropertyChangeListener listener)

      Add a PropertyChangeListener to the listener list.

      Parameters:
        `listener` - The listener to add.

    - #### public Class getType()

    - #### public Object getValue()

    - #### public boolean isEditable()

    - #### public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a PropertyChangeListener from the listener list.

      Parameters:
        `listener` - The listener to remove.

    - #### public void setEditable(boolean editable)

    - #### public void setValue(Object value)